This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 709840

Summary: Web Services Tests Do Not Compile
Product: [Other] RHQ Project Reporter: Stefan Negrea <snegrea>
Component: Web ServicesAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED WONTFIX QA Contact: Mike Foley <mfoley>
Severity: low Docs Contact:
Priority: medium    
Version: unspecifiedCC: hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-06 13:31:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Stefan Negrea 2011-06-01 14:46:11 EDT
Web Services tests do not compile correctly because the code was not maintained. Even if compilable, the tests might not have good coverage for the functionality.
Comment 1 Heiko W. Rupp 2011-06-01 14:54:13 EDT
The whole webservices stuff is not really portable, as it makes an assumption about the location of javac or rt.jar (forgot what exactly) being in /usr/bin and that this directory is writable. This is at least not true on OS X and I would not expect /usr being writable for everyone on other Linux or Unix systems as well.
Comment 2 Stefan Negrea 2014-05-06 13:31:26 EDT
No longer applicable.